[Sqlrelay-discussion] Problem with startup on RHEL ES5 64 bit
Brought to you by:
mused
|
From: Rob T. <rt...@li...> - 2010-03-03 01:23:12
|
Hi,
The regular startup script in the distribution
(sqlrelay-0.41/init/redhat/init.d/sqlrelay) fails to start the listener and
the scaler, the latter I presume because sqlr-listener is not running.
However, I can manually start both of them, listener first and then the
scaler. Is there a way to get the listener to provide some debug info when
it doesn¹t start up?
Here the startup script as found in the sqlrelay distribution after compile.
Can anyone see any problems in it?
Thanks,
Rob
#! /bin/sh
#
# sqlrelay This starts and stops SQL relay.
#
# chkconfig: 345 85 15
# description: Persistent database connection system.
# Source function library.
success() {
echo success
}
failure() {
echo failure
}
passed() {
echo passed
}
if [ -r "/etc/init.d/functions" ]; then
. /etc/init.d/functions
else
if [ -r "/etc/rc.d/init.d/functions" ]; then
. /etc/rc.d/init.d/functions
fi
fi
# Get config.
test -f /etc/sysconfig/network && . /etc/sysconfig/network
# Check that networking is up.
[ ${NETWORKING} = "yes" ] || exit 0
prefix=${DESTDIR}/usr/local/firstworks
sysconfdir=${prefix}/etc
localstatedir=${prefix}/var
tmpdir=${localstatedir}/sqlrelay/tmp
cachedir=${localstatedir}/sqlrelay/cache
debugdir=${localstatedir}/sqlrelay/debug
[ -f ${sysconfdir}/sqlrelay.conf ] || exit 1
RETVAL=0
# Add appropriate bin/lib paths
if [ ${prefix} != "/usr" ]; then
export PATH=$PATH:${prefix}/bin
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:${prefix}/lib
fi
cleanup(){
for i in `ls ${tmpdir}/pids/* 2>/dev/null`
do
if ( test -r "$i" )
then
PID=`cat $i`
if ( test -z "`ps -p $PID | egrep -E
'sqlr-cachemana|sqlr-connectio|sqlr-listener'`" )
then
echo "$PID is not sqlr! removing pidfile ..."
rm $i
fi
fi
done
}
start(){
echo -n $"Starting SQL Relay: "
if [ -r /etc/sysconfig/sqlrelay ]; then
launched=0
for connid in `grep -v ^# /etc/sysconfig/sqlrelay`; do
echo
echo -n $"Launching instance with id '${connid}':"
sqlr-start -id ${connid} 0<&- 1>&- 2>&-
RETVAL=$?
[ $RETVAL -eq 0 ] && success || failure
launched=1
done
[ "$launched" -eq 1 ] || passed
echo
else
failure
fi
[ $RETVAL -eq 0 ] && touch /var/lock/subsys/sqlrelay
cleanup
return $RETVAL
}
stop(){
echo -n $"Stopping SQL Relay: "
if [ -r /etc/sysconfig/sqlrelay ]; then
launched=0
for connid in `grep -v ^# /etc/sysconfig/sqlrelay`; do
echo
echo -n $"Stopping instance with id '${connid}':"
sqlr-stop ${connid} 0<&- 1>&- 2>&-
RETVAL=$?
[ $RETVAL -eq 0 ] && success || failure
launched=1
done
[ "$launched" -eq 1 ] || passed
echo
else
failure
fi
[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/sqlrelay
cleanup
return $RETVAL
}
restart(){
stop
start
}
condrestart(){
[ -e /var/lock/subsys/sqlrelay ] && restart
return 0
}
# See how we were called.
case "$1" in
start)
start
;;
stop)
stop
;;
status)
status sqlr-listener
;;
restart)
restart
;;
reload)
restart
;;
condrestart)
condrestart
;;
*)
echo "Usage: sqlrelay {start|stop|status|restart|condrestart}"
RETVAL=1
esac
exit $RETVAL
|